THISDIR := "${@os.path.dirname(bb.data.getVar('FILE', d, True))}"
FILESPATH =. "${@base_set_filespath(["${THISDIR}/${PN}-${PV}", "${THISDIR}/files"], d)}:"

# We'd like to use c-ares for the target but not for native packages
EXTRA_OECONF += "${CURLARES} --enable-ipv6"

# Override the oe-core version until upstream catches up
PV="7.51.0"

SRC_URI[md5sum] = "09a7c5769a7eae676d5e2c86d51f167e"
SRC_URI[sha256sum] = "7f8240048907e5030f67be0a6129bc4b333783b9cca1391026d700835a788dde"
LIC_FILES_CHKSUM = "file://COPYING;beginline=8;md5=3a34942f4ae3fbf1a303160714e664ac"

CURLARES = "--enable-ares"
CURLARES_virtclass-native = ""

DEPENDS += "c-ares"

PR .= "bs6"
