DESCRIPTION = "A linux based command-line programmer for Atmel (8051, AVR & AVR32) chips with a USB bootloader supporting ISP."
LICENSE = "GPLv2"
LIC_FILES_CHKSUM = "file://COPYING;md5=0ac51ef3461997b6800127e019cffe33"

SRC_URI = "http://sourceforge.net/projects/dfu-programmer/files/dfu-programmer/0.5.5/dfu-programmer-0.5.5.tar.gz \
           file://dfu-programmer-0.5.5-add-chip.patch"

SRC_URI[md5sum] = "4c6d4347e740bb0383627954ea18c156"
SRC_URI[sha256sum] = "9bc3c5993e59ce908d4e3dbfda01e273ca34f86900fcb925915bbe65ff7ad246"

S = "${WORKDIR}/dfu-programmer-${PV}"

inherit gettext autotools

#do_install() {
#    install -D -m755 src/dfu-programmer ${D}/bin/dfu-programmer
#}

do_install() {
    autotools_do_install
    install -D -m755 src/dfu-programmer ${D}/bin/dfu-programmer
}

#do_install_append() {
#}

#do_rm_work() {
#     # don't_rm_work
#     :
#}
