KERNEL_MODULE_VERSIONED = "0"
require recipes-bs/linux/linux_abi_version.inc

DESCRIPTION = "Filesystem cache allocator"
SUMMARY = "FS shim"
LICENSE = "GPLv2"

inherit module

LIC_FILES_CHKSUM = "file://COPYING;md5=eb723b61539feef013de476e68b5c50a"

do_install_append() {
	# Copy the Module.symvers into image/share/fsshim/
	install -d ${D}${datadir}/${PN}/
	cp -f Module.symvers ${D}${datadir}/${PN}/

	# Tidy up to prevent warning
	rm -rf ${D}/lib/modules/${KERNEL_VERSION}
}

# Warning avoidance...
FILES_${PN}-dev += "${datadir}/${PN}/"

MACHINE_EXTRA_RRECOMMENDS += "kernel-module-fsshim"
