DESCRIPTION = "TomsFastMath"
SECTION = "libs/network"
PRIORITY = "optional"
LICENSE = "PD"
PR = "r2"
LIC_FILES_CHKSUM = "file://LICENSE;md5=6dc91e6475a7b4e61a578ce79ae8320b"

SRC_URI = "http://libtom.net/files/tfm-${PV}.tar.bz2"

EXTRA_OEMAKE = ""

S = "${WORKDIR}/tomsfastmath-${PV}"

do_install() {
	mkdir -p ${D}${includedir} ${D}${libdir}
	oe_libinstall -a libtfm ${D}${libdir}
	install -m 0644 ${S}/src/headers/*.h ${D}${includedir}/
}

SRC_URI[md5sum] = "821edbffb03502f0614c8717bda6fd54"
SRC_URI[sha256sum] = "aa854c6664c3ba173809326ad9d3c18918b52f84040658b247e2ce7527032021"
